'//----------------------------------------------------------------------
'//【ダブルバッファリングのデモ】- RotateText
'//
'//
'//                                                       by Masato Hirai         
'//----------------------------------------------------------------------
Imports System
Imports System.Drawing
Imports System.Drawing.Text
Imports System.Drawing.Drawing2D
Imports System.Windows.Forms
Imports System.ComponentModel
Imports GeniusHirai.ColorfulControls

Public Class Form1 : Inherits Form

#Region " Windows フォーム デザイナで生成されたコード "

    Public Sub New()
        MyBase.New()

        ' この呼び出しは Windows フォーム デザイナで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後に初期化を追加します。

    End Sub

    ' Form は、コンポーネント一覧に後処理を実行するために dispose をオーバーライドします。
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    ' Windows フォーム デザイナで必要です。
    Private components As System.ComponentModel.IContainer

    ' メモ : 以下のプロシージャは、Windows フォーム デザイナで必要です。
    'Windows フォーム デザイナを使って変更してください。  
    ' コード エディタを使って変更しないでください。
  Friend WithEvents TextSpin1 As RotateText.TextSpin
  Friend WithEvents CheckBox1 As GeniusHirai.ColorfulControls.BigCheckBox
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(Form1))
Me.TextSpin1 = New RotateText.TextSpin
Me.CheckBox1 = New GeniusHirai.ColorfulControls.BigCheckBox
Me.SuspendLayout()
'
'TextSpin1
'
Me.TextSpin1.Anchor = CType((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
            Or System.Windows.Forms.AnchorStyles.Left) _
            Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
Me.TextSpin1.Font = New System.Drawing.Font("Arial Black", 48.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.TextSpin1.ForeColor = System.Drawing.Color.Aqua
Me.TextSpin1.Image = CType(resources.GetObject("TextSpin1.Image"), System.Drawing.Image)
Me.TextSpin1.Location = New System.Drawing.Point(8, 8)
Me.TextSpin1.Name = "TextSpin1"
Me.TextSpin1.RotateString = "Hello World"
Me.TextSpin1.Size = New System.Drawing.Size(528, 448)
Me.TextSpin1.TabIndex = 2
Me.TextSpin1.TextOpacity = 0.50196078431372548
'
'CheckBox1
'
Me.CheckBox1.Anchor = CType((System.Windows.Forms.AnchorStyles.Bottom Or System.Windows.Forms.AnchorStyles.Left), System.Windows.Forms.AnchorStyles)
Me.CheckBox1.Font = New System.Drawing.Font("MS UI Gothic", 24.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(128, Byte))
Me.CheckBox1.Location = New System.Drawing.Point(8, 464)
Me.CheckBox1.Name = "CheckBox1"
Me.CheckBox1.Size = New System.Drawing.Size(400, 48)
Me.CheckBox1.TabIndex = 3
Me.CheckBox1.Text = "ダブルバッファリングを有効"
'
'Form1
'
Me.AutoScaleBaseSize = New System.Drawing.Size(5, 12)
Me.ClientSize = New System.Drawing.Size(544, 526)
Me.Controls.Add(Me.CheckBox1)
Me.Controls.Add(Me.TextSpin1)
Me.Name = "Form1"
Me.Text = "ダブルバッファリングのデモ"
Me.ResumeLayout(False)

    End Sub

#End Region

  Private Sub CheckBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox1.CheckedChanged
    Me.TextSpin1.DoubleBuffer = CheckBox1.Checked
  End Sub

  Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    Me.TextSpin1.Start()
  End Sub
End Class
